<!DOCTYPE html>
<html lang="en">

<head>
    <title>Club Management</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">


    <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.2/js/bootstrap-select.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap.min.js"></script>
    <script src="https://cdn.datatables.net/responsive/2.2.3/js/dataTables.responsive.js"></script>

    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.2/css/bootstrap-select.min.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css">
</head>

<body>
    <style>
        tr.group,
        tr.group:hover {
            background-color: #ddd !important;
        }
    </style>
    <script>
        $(function () {
            $('#list-act-panel input[type=radio]').click(function (e) {
                onBlurInput($(e.target).parents('.panel:first'), 'radio', false);
            });

            // $('#tab-content input[type=text]').change(function (e) {
            //     onBlurInput($(e.target).parents('.panel:first'), 'text', false);
            // });

            $('#list-act-panel input[type=radio][name=activities]').change(function (e) {
                let displayText = "";
                if (this.value == "1") {
                    displayText = "TA / Teacher";
                } else if (this.value == "2") {
                    displayText = "Student";
                } else if (this.value == "3") {
                    displayText = "Check student";
                } else if (this.value == "4") {
                    displayText = "Club";
                } else if (this.value == "5") {
                    displayText = "Partner";
                } else if (this.value == "6") {
                    displayText = "Club relationship";
                }
                $('#act-name').html(displayText);
                $('#tab-content').show();
                (this.value == "Check student") ? $('#add-edit').html(this.value) : $('#add-edit').html('Add: ' + this.value)
                let radioButtons = $("#list-act input[type=radio][name=activities]");
                let selectedIndex = radioButtons.index(radioButtons.filter(':checked'));
                window.location.assign('/club/' + this.value);
                setShowByAct(selectedIndex);

            });
        })
        function collapsePanel(e) {
            let $this = $(e);
            if (!$this.hasClass('panel-collapsed')) {
                $this.parents('.panel').find('.panel-body').slideUp();
                $this.addClass('panel-collapsed');
                $this.find('i').removeClass('glyphicon-chevron-up').addClass('glyphicon-chevron-down');
            } else {
                $this.parents('.panel').find('.panel-body').slideDown();
                $this.removeClass('panel-collapsed');
                $this.find('i').removeClass('glyphicon-chevron-down').addClass('glyphicon-chevron-up');
            }
        }
        function setPanelColor(element, hasValue) {
            if (element) {
                if (hasValue) {
                    $(element).removeClass("panel-danger").addClass("panel-primary");
                }
                else {
                    $(element).removeClass("panel-primary").addClass("panel-danger");
                }
            }
        }
        function onBlurInput(panelElement, inputType, isSubPanel) {
            let elements;
            let hasValue = false;
            let setParentPanel = false;
            //current panel
            hasValue = inputHasValue(panelElement, inputType);
            setPanelColor(panelElement, hasValue);

            if (isSubPanel && hasValue) {
                setPanelColor($(panelElement).parents('.panel'), true);
            }
            else {
                //----- check all sibling ----------
                elements = $(panelElement).siblings('.panel');

                if (elements) {
                    $.each(elements, function (i, e) {
                        hasValue = inputHasValue(e, inputType);
                        if (hasValue)
                            setParentPanel = true;
                    });

                    setPanelColor($(panelElement).parents('.panel'), setParentPanel);
                }
            }
        }

        function inputHasValue(panelElement, inputType) {
            let elements;
            let hasValue = false;
            // get elements
            switch (inputType) {
                case 'textarea':
                    elements = $(panelElement).find('textarea');
                    break;
                case 'select':
                    elements = $(panelElement).find('select');
                    break;
                case 'list':
                    elements = $(panelElement).find('a');
                    break;
                default:
                    elements = $(panelElement).find('input[type=' + inputType + ']:not([readonly])');
                    break;
            }

            // check element has value or not
            switch (inputType) {
                case 'checkbox':
                    $.each(elements, function (i, e) {
                        if ($(e).is(':checked'))
                            hasValue = true;
                    });
                    break;
                case 'list':
                    $.each(elements, function (i, e) {
                        if ($(e).hasClass('list-group-item-success'))
                            hasValue = true;
                    });
                    break;
                default:
                    $.each(elements, function (i, e) {
                        if ($(e).val() != '')
                            hasValue = true;
                    });
                    break;
            }
            return hasValue;
        }

        function setShowByAct(ActNo) {
            switch (ActNo) {
                case 0:
                    $('#add-ta-teacher').show(); $('#add-student').hide(); $('#add-club').hide();
                    $('#add-partner').hide(); $('#add-check-student').hide(); $('#add-club-relationship').hide();
                    break;
                case 1:
                    $('#add-student').show(); $('#add-ta-teacher').hide(); $('#add-club').hide();
                    $('#add-partner').hide(); $('#add-check-student').hide(); $('#add-club-relationship').hide();
                    break;
                case 2:
                    $('#add-check-student').show(); $('#add-club').hide(); $('#add-ta-teacher').hide();
                    $('#add-student').hide(); $('#add-partner').hide(); $('#add-club-relationship').hide();
                    break;
                case 3:
                    $('#add-club').show(); $('#add-ta-teacher').hide(); $('#add-student').hide();
                    $('#add-partner').hide(); $('#add-check-student').hide(); $('#add-club-relationship').hide();
                    break;
                case 4:
                    $('#add-partner').show(); $('#add-club').hide(); $('#add-ta-teacher').hide();
                    $('#add-student').hide(); $('#add-check-student').hide(); $('#add-club-relationship').hide();
                    break;
                case 5:
                    $('#add-club-relationship').show(); $('#add-partner').hide(); $('#add-club').hide();
                    $('#add-ta-teacher').hide(); $('#add-student').hide(); $('#add-check-student').hide();
                    break;
            }
        }
    </script>

    <div class="container-fluid">
        <br>
        <%- body %>
        <br>
    </div>
</body>

</html>